function decodeHtml(html) {
    var txt = document.createElement("textarea");
    txt.innerHTML = html;
    return txt.value;
}

function initCssHelper() {
    const selectCssHelperSelector = document.getElementById('ctrl_cssHelperSelector_chzn');
    const selectCssHelperData = document.getElementById('ctrl_cssHelperData');
    const inputCss = document.getElementById('ctrl_cssID_1');

    if(!selectCssHelperSelector || !selectCssHelperData || !inputCss) {
        return;
    }

    // on click selectCssHelperSelector child
    selectCssHelperSelector.addEventListener('click', function(event) {
        if(event.target.className === 'search-choice-close') {
            const title = event.target.parentElement.querySelector('span').innerHTML;

            // loop through cssHelperData object
            for (const [setKey, set] of Object.entries(JSON.parse(selectCssHelperData.text))) {
                // loop through sets
                for (const [key, value] of Object.entries(set)) {
                    if(decodeHtml(value.title) === title) {
                        var _tmp = inputCss.value;
                        _tmp = _tmp.replace(value.classes, ''); // remove value from inputCss
                        _tmp = _tmp.replace(/\s\s+/g, ' '); // remove double spaces
                        inputCss.value = _tmp;
                    }
                }
            }
        }
    });
}

window.addEventListener('load', function(event) {
    initCssHelper();
});
